[Python-modules-commits] r23811 - in packages/ipython/trunk/debian/tests (2 files)

jtaylor-guest at users.alioth.debian.org jtaylor-guest at users.alioth.debian.org
Mon Apr 1 12:35:29 UTC 2013


    Date: Monday, April 1, 2013 @ 12:35:27
  Author: jtaylor-guest
Revision: 23811

add test for incomplete install

Added:
  packages/ipython/trunk/debian/tests/incomplete-install
Modified:
  packages/ipython/trunk/debian/tests/control

Modified: packages/ipython/trunk/debian/tests/control
===================================================================
--- packages/ipython/trunk/debian/tests/control	2013-04-01 12:35:22 UTC (rev 23810)
+++ packages/ipython/trunk/debian/tests/control	2013-04-01 12:35:27 UTC (rev 23811)
@@ -56,3 +56,6 @@
 
 Tests: tools3
 Depends: ipython3
+
+Tests: incomplete-install
+Depends: ipython ipython3

Added: packages/ipython/trunk/debian/tests/incomplete-install
===================================================================
--- packages/ipython/trunk/debian/tests/incomplete-install	                        (rev 0)
+++ packages/ipython/trunk/debian/tests/incomplete-install	2013-04-01 12:35:27 UTC (rev 23811)
@@ -0,0 +1,32 @@
+#!/bin/sh
+set -efu
+
+export HOME=$ADTTMP
+cd $ADTTMP
+
+# check that the incomplete install message works
+# skipped if installed to ensure test does not block
+
+if dpkg-query -Wf'${db:Status-abbrev}' ipython-notebook 2>/dev/null | grep -q '^i'; then
+  echo "Notebook installed. Skipping test."
+else
+  ipython notebook
+fi
+
+if dpkg-query -Wf'${db:Status-abbrev}' ipython-qtconsole 2>/dev/null | grep -q '^i'; then
+  echo "Qtconsole installed. Skipping test."
+else
+  ipython qtconsole
+fi
+
+if dpkg-query -Wf'${db:Status-abbrev}' ipython3-notebook 2>/dev/null | grep -q '^i'; then
+  echo "Notebook3 installed. Skipping test."
+else
+  ipython3 notebook
+fi
+
+if dpkg-query -Wf'${db:Status-abbrev}' ipython3-qtconsole 2>/dev/null | grep -q '^i'; then
+  echo "Qtconsole3 installed. Skipping test."
+else
+  ipython3 qtconsole
+fi


Property changes on: packages/ipython/trunk/debian/tests/incomplete-install
___________________________________________________________________
Added: svn:executable
   + *




More information about the Python-modules-commits mailing list